[openstreetmap/openstreetmap-website] Geolocation fails when not using https on Chrome (#1493)

Christian Schmidt notifications at github.com
Wed Oct 25 08:00:53 UTC 2017


This is not specific to Chrome.

According to [developer.mozilla.org](https://developer.mozilla.org/en-US/docs/Web/API/Geolocation/Using_geolocation#Browser_compatibility), the geo-location APIs require HTTPS in Firefox 55+, Safari 10+ and Opera 39+.

The only major browsers without this restriction are Internet Explorer and Edge.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/openstreetmap/openstreetmap-website/issues/1493#issuecomment-339247906
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstreetmap.org/pipermail/rails-dev/attachments/20171025/59bdac5e/attachment.html>


More information about the rails-dev mailing list